Subject: Re: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Sep 2022 20:49:22 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 14 Sep 2022 19:45:18 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> A single `C-g' wouldn't be quite the right thing, because the user may
> >> hit `C-g' by accident while font-lock happens to run (and it's not
> >> hanging), which is why I though a special key sequence like `C-g C-g
> >> C-g' might make sense.
> >
> > I frequently find myself hitting C-g several times for reasons
> > unrelated to any infloop.
> 
> But like I said, three `C-g's without any idle time in between would be
> the magical command to switch off font locking.  I think that's hard to
> do accidentally in normal circumstances.

There's nothing accidental about my typing several C-g in a row.  It
just isn't related to any font-lock.